### 2.5.6 Miscellaneous Attributes

- EZ_PROPAGATE This option specifies whether or not a change of geometry of a widget should be propagated to the whole widget tree. The default value is `True` for all widgets except FreeLabel/Frame.

- EZ_TRANSIENT This option specifies whether a widget is a transient widget. Valid values are `True` and `False`. The default value is `True` for menu and free label/frame, and is `False` for other widgets. Transient widgets may or may not be visually different from normal widgets, depending on your window manager. For example they look the same under twm and different under fvwm.

- EZ_BUBBLE_HELP This option sets the bubble help string for a widget. The default value is `NULL`.

- EZ_DND_DRAG_CURSOR This option sets the drag cursor for a widget. If the widget should become a drag src, the set cursor will replace the default cursor during draging. The value for this attribute is an X cursor ID, of type `Cursor`. The cursor must be created by one of Xlib's cursor creating routines, e.g., `XCreatePixmapCursor`. The default value for this attribute is `None`.

- EZ_DND_BUBBLE_HELP This option sets the drop site bubble help string for a widget. It is relevent only if the widget is to become a drop site.

- EZ_IS_EMBEDER This option sets the embeding attribute of widget. Valid values are either `True` or `False`. The default value is `False`. If set, the widget will swallow other toplevel windows (may be from another client) if the toplevel window is moved over the widget window.

HTML Documentation Maintainance:`Arturo Espinosa <arturo@nuclecu.unam.mx>`